import{s as Zt,n as er,o as tr}from"../chunks/scheduler.182ea377.js";import{S as rr,i as or,g as a,s as r,r as c,A as ar,h as s,f as n,c as o,j as _,u as l,x as g,k as v,y as t,a as b,v as p,d as f,t as u,w as h}from"../chunks/index.abf12888.js";import{D as $}from"../chunks/Docstring.93f6f462.js";import{H as Tt}from"../chunks/Heading.16916d63.js";function sr(Et){let P,Le,Ve,we,F,De,W,Mt='The <code>VaeImageProcessor</code> provides a unified API for <a href="/docs/diffusers/main/en/api/pipelines/stable_diffusion/text2img#diffusers.StableDiffusionPipeline">StableDiffusionPipeline</a>’s to prepare image inputs for VAE encoding and post-processing outputs once they’re decoded. This includes transformations such as resizing, normalization, and conversion between PIL Image, PyTorch, and NumPy arrays.',ze,O,Nt="All pipelines with <code>VaeImageProcessor</code> accepts PIL Image, PyTorch tensor, or NumPy arrays as image inputs and returns outputs based on the <code>output_type</code> argument by the user. You can pass encoded image latents directly to the pipeline and return latents from the pipeline as a specific output with the <code>output_type</code> argument (for example <code>output_type=&quot;pt&quot;</code>). This allows you to take the generated latents from one pipeline and pass it to another pipeline as input without leaving the latent space. It also makes it much easier to use multiple pipelines together by passing PyTorch tensors directly between different pipelines.",Te,S,Ee,i,j,Ze,me,kt="Image processor for VAE.",et,x,q,tt,de,At="create a mask",rt,V,B,ot,ce,Ht="Converts a PIL image to grayscale format.",at,C,G,st,le,Rt="Converts a PIL image to RGB format.",nt,L,U,it,ge,Ft="Denormalize an image array to [0,1].",mt,w,Y,dt,pe,Wt=`This function return the height and width that are downscaled to the next integer multiple of
<code>vae_scale_factor</code>.`,ct,D,J,lt,fe,Ot="Normalize an image array to [-1,1].",gt,z,K,pt,ue,St="Convert a numpy image or a batch of images to a PIL image.",ft,T,Q,ut,he,jt="Convert a NumPy image to a PyTorch tensor.",ht,E,X,_t,_e,qt="Convert a PIL image or a list of PIL images to NumPy arrays.",vt,M,Z,bt,ve,Bt="Preprocess the image input. Accepted formats are PIL images, NumPy arrays or PyTorch tensors.",$t,N,ee,yt,be,Gt="Convert a PyTorch tensor to a NumPy image.",It,k,te,Pt,$e,Ut="Resize image.",Me,re,Ne,oe,Yt="The <code>VaeImageProcessorLDM3D</code> accepts RGB and depth inputs and returns RGB and depth outputs.",ke,y,ae,xt,ye,Jt="Image processor for VAE LDM3D.",Vt,A,se,Ct,Ie,Kt="Convert a NumPy depth image or a batch of images to a PIL image.",Lt,H,ne,wt,Pe,Qt="Convert a NumPy image or a batch of images to a PIL image.",Dt,R,ie,zt,xe,Xt="Returns: depth map",Ae,Ce,He;return F=new Tt({props:{title:"VAE Image Processor",local:"vae-image-processor",headingTag:"h1"}}),S=new Tt({props:{title:"VaeImageProcessor",local:"diffusers.image_processor.VaeImageProcessor",headingTag:"h2"}}),j=new $({props:{name:"class diffusers.image_processor.VaeImageProcessor",anchor:"diffusers.image_processor.VaeImageProcessor",parameters:[{name:"do_resize",val:": bool = True"},{name:"vae_scale_factor",val:": int = 8"},{name:"resample",val:": str = 'lanczos'"},{name:"do_normalize",val:": bool = True"},{name:"do_binarize",val:": bool = False"},{name:"do_convert_rgb",val:": bool = False"},{name:"do_convert_grayscale",val:": bool = False"}],parametersDescription:[{anchor:"diffusers.image_processor.VaeImageProcessor.do_resize",description:`<strong>do_resize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to downscale the image&#x2019;s (height, width) dimensions to multiples of <code>vae_scale_factor</code>. Can accept
<code>height</code> and <code>width</code> arguments from <a href="/docs/diffusers/main/en/api/image_processor#diffusers.image_processor.VaeImageProcessor.preprocess">image_processor.VaeImageProcessor.preprocess()</a> method.`,name:"do_resize"},{anchor:"diffusers.image_processor.VaeImageProcessor.vae_scale_factor",description:`<strong>vae_scale_factor</strong> (<code>int</code>, <em>optional</em>, defaults to <code>8</code>) &#x2014;
VAE scale factor. If <code>do_resize</code> is <code>True</code>, the image is automatically resized to multiples of this factor.`,name:"vae_scale_factor"},{anchor:"diffusers.image_processor.VaeImageProcessor.resample",description:`<strong>resample</strong> (<code>str</code>, <em>optional</em>, defaults to <code>lanczos</code>) &#x2014;
Resampling filter to use when resizing the image.`,name:"resample"},{anchor:"diffusers.image_processor.VaeImageProcessor.do_normalize",description:`<strong>do_normalize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to normalize the image to [-1,1].`,name:"do_normalize"},{anchor:"diffusers.image_processor.VaeImageProcessor.do_binarize",description:`<strong>do_binarize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to binarize the image to 0/1.`,name:"do_binarize"},{anchor:"diffusers.image_processor.VaeImageProcessor.do_convert_rgb",description:`<strong>do_convert_rgb</strong> (<code>bool</code>, <em>optional</em>, defaults to be <code>False</code>) &#x2014;
Whether to convert the images to RGB format.`,name:"do_convert_rgb"},{anchor:"diffusers.image_processor.VaeImageProcessor.do_convert_grayscale",description:`<strong>do_convert_grayscale</strong> (<code>bool</code>, <em>optional</em>, defaults to be <code>False</code>) &#x2014;
Whether to convert the images to grayscale format.`,name:"do_convert_grayscale"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L37"}}),q=new $({props:{name:"binarize",anchor:"diffusers.image_processor.VaeImageProcessor.binarize",parameters:[{name:"image",val:": Image"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L228"}}),B=new $({props:{name:"convert_to_grayscale",anchor:"diffusers.image_processor.VaeImageProcessor.convert_to_grayscale",parameters:[{name:"image",val:": Image"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L151"}}),G=new $({props:{name:"convert_to_rgb",anchor:"diffusers.image_processor.VaeImageProcessor.convert_to_rgb",parameters:[{name:"image",val:": Image"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L142"}}),U=new $({props:{name:"denormalize",anchor:"diffusers.image_processor.VaeImageProcessor.denormalize",parameters:[{name:"images",val:""}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L135"}}),Y=new $({props:{name:"get_default_height_width",anchor:"diffusers.image_processor.VaeImageProcessor.get_default_height_width",parameters:[{name:"image",val:": [<class 'PIL.Image.Image'>, <class 'numpy.ndarray'>, <class 'torch.Tensor'>]"},{name:"height",val:": typing.Optional[int] = None"},{name:"width",val:": typing.Optional[int] = None"}],parametersDescription:[{anchor:"diffusers.image_processor.VaeImageProcessor.get_default_height_width.image(PIL.Image.Image,",description:`<strong>image(<code>PIL.Image.Image</code>,</strong> <code>np.ndarray</code> or <code>torch.Tensor</code>) &#x2014;
The image input, can be a PIL image, numpy array or pytorch tensor. if it is a numpy array, should have
shape <code>[batch, height, width]</code> or <code>[batch, height, width, channel]</code> if it is a pytorch tensor, should
have shape <code>[batch, channel, height, width]</code>.`,name:"image(PIL.Image.Image,"},{anchor:"diffusers.image_processor.VaeImageProcessor.get_default_height_width.height",description:`<strong>height</strong> (<code>int</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The height in preprocessed image. If <code>None</code>, will use the height of <code>image</code> input.`,name:"height"},{anchor:"diffusers.image_processor.VaeImageProcessor.get_default_height_width.width",description:"<strong>width</strong> (<code>int</code>, <em>optional</em><code>, defaults to </code>None<code>) -- The width in preprocessed. If </code>None<code>, will use the width of the </code>image` input.",name:"width"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L160"}}),J=new $({props:{name:"normalize",anchor:"diffusers.image_processor.VaeImageProcessor.normalize",parameters:[{name:"images",val:""}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L128"}}),K=new $({props:{name:"numpy_to_pil",anchor:"diffusers.image_processor.VaeImageProcessor.numpy_to_pil",parameters:[{name:"images",val:": ndarray"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L81"}}),Q=new $({props:{name:"numpy_to_pt",anchor:"diffusers.image_processor.VaeImageProcessor.numpy_to_pt",parameters:[{name:"images",val:": ndarray"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L109"}}),X=new $({props:{name:"pil_to_numpy",anchor:"diffusers.image_processor.VaeImageProcessor.pil_to_numpy",parameters:[{name:"images",val:": typing.Union[typing.List[PIL.Image.Image], PIL.Image.Image]"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L97"}}),Z=new $({props:{name:"preprocess",anchor:"diffusers.image_processor.VaeImageProcessor.preprocess",parameters:[{name:"image",val:": typing.Union[torch.FloatTensor, PIL.Image.Image, numpy.ndarray]"},{name:"height",val:": typing.Optional[int] = None"},{name:"width",val:": typing.Optional[int] = None"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L236"}}),ee=new $({props:{name:"pt_to_numpy",anchor:"diffusers.image_processor.VaeImageProcessor.pt_to_numpy",parameters:[{name:"images",val:": FloatTensor"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L120"}}),te=new $({props:{name:"resize",anchor:"diffusers.image_processor.VaeImageProcessor.resize",parameters:[{name:"image",val:": [<class 'PIL.Image.Image'>, <class 'numpy.ndarray'>, <class 'torch.Tensor'>]"},{name:"height",val:": typing.Optional[int] = None"},{name:"width",val:": typing.Optional[int] = None"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L203"}}),re=new Tt({props:{title:"VaeImageProcessorLDM3D",local:"diffusers.image_processor.VaeImageProcessorLDM3D",headingTag:"h2"}}),ae=new $({props:{name:"class diffusers.image_processor.VaeImageProcessorLDM3D",anchor:"diffusers.image_processor.VaeImageProcessorLDM3D",parameters:[{name:"do_resize",val:": bool = True"},{name:"vae_scale_factor",val:": int = 8"},{name:"resample",val:": str = 'lanczos'"},{name:"do_normalize",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.image_processor.VaeImageProcessorLDM3D.do_resize",description:`<strong>do_resize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to downscale the image&#x2019;s (height, width) dimensions to multiples of <code>vae_scale_factor</code>.`,name:"do_resize"},{anchor:"diffusers.image_processor.VaeImageProcessorLDM3D.vae_scale_factor",description:`<strong>vae_scale_factor</strong> (<code>int</code>, <em>optional</em>, defaults to <code>8</code>) &#x2014;
VAE scale factor. If <code>do_resize</code> is <code>True</code>, the image is automatically resized to multiples of this factor.`,name:"vae_scale_factor"},{anchor:"diffusers.image_processor.VaeImageProcessorLDM3D.resample",description:`<strong>resample</strong> (<code>str</code>, <em>optional</em>, defaults to <code>lanczos</code>) &#x2014;
Resampling filter to use when resizing the image.`,name:"resample"},{anchor:"diffusers.image_processor.VaeImageProcessorLDM3D.do_normalize",description:`<strong>do_normalize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to normalize the image to [-1,1].`,name:"do_normalize"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L365"}}),se=new $({props:{name:"numpy_to_depth",anchor:"diffusers.image_processor.VaeImageProcessorLDM3D.numpy_to_depth",parameters:[{name:"images",val:""}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L419"}}),ne=new $({props:{name:"numpy_to_pil",anchor:"diffusers.image_processor.VaeImageProcessorLDM3D.numpy_to_pil",parameters:[{name:"images",val:""}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L392"}}),ie=new $({props:{name:"rgblike_to_depthmap",anchor:"diffusers.image_processor.VaeImageProcessorLDM3D.rgblike_to_depthmap",parameters:[{name:"image",val:""}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L408"}}),{c(){P=a("meta"),Le=r(),Ve=a("p"),we=r(),c(F.$$.fragment),De=r(),W=a("p"),W.innerHTML=Mt,ze=r(),O=a("p"),O.innerHTML=Nt,Te=r(),c(S.$$.fragment),Ee=r(),i=a("div"),c(j.$$.fragment),Ze=r(),me=a("p"),me.textContent=kt,et=r(),x=a("div"),c(q.$$.fragment),tt=r(),de=a("p"),de.textContent=At,rt=r(),V=a("div"),c(B.$$.fragment),ot=r(),ce=a("p"),ce.textContent=Ht,at=r(),C=a("div"),c(G.$$.fragment),st=r(),le=a("p"),le.textContent=Rt,nt=r(),L=a("div"),c(U.$$.fragment),it=r(),ge=a("p"),ge.textContent=Ft,mt=r(),w=a("div"),c(Y.$$.fragment),dt=r(),pe=a("p"),pe.innerHTML=Wt,ct=r(),D=a("div"),c(J.$$.fragment),lt=r(),fe=a("p"),fe.textContent=Ot,gt=r(),z=a("div"),c(K.$$.fragment),pt=r(),ue=a("p"),ue.textContent=St,ft=r(),T=a("div"),c(Q.$$.fragment),ut=r(),he=a("p"),he.textContent=jt,ht=r(),E=a("div"),c(X.$$.fragment),_t=r(),_e=a("p"),_e.textContent=qt,vt=r(),M=a("div"),c(Z.$$.fragment),bt=r(),ve=a("p"),ve.textContent=Bt,$t=r(),N=a("div"),c(ee.$$.fragment),yt=r(),be=a("p"),be.textContent=Gt,It=r(),k=a("div"),c(te.$$.fragment),Pt=r(),$e=a("p"),$e.textContent=Ut,Me=r(),c(re.$$.fragment),Ne=r(),oe=a("p"),oe.innerHTML=Yt,ke=r(),y=a("div"),c(ae.$$.fragment),xt=r(),ye=a("p"),ye.textContent=Jt,Vt=r(),A=a("div"),c(se.$$.fragment),Ct=r(),Ie=a("p"),Ie.textContent=Kt,Lt=r(),H=a("div"),c(ne.$$.fragment),wt=r(),Pe=a("p"),Pe.textContent=Qt,Dt=r(),R=a("div"),c(ie.$$.fragment),zt=r(),xe=a("p"),xe.textContent=Xt,Ae=r(),Ce=a("p"),this.h()},l(e){const d=ar("svelte-u9bgzb",document.head);P=s(d,"META",{name:!0,content:!0}),d.forEach(n),Le=o(e),Ve=s(e,"P",{}),_(Ve).forEach(n),we=o(e),l(F.$$.fragment,e),De=o(e),W=s(e,"P",{"data-svelte-h":!0}),g(W)!=="svelte-15h0mrw"&&(W.innerHTML=Mt),ze=o(e),O=s(e,"P",{"data-svelte-h":!0}),g(O)!=="svelte-17lgejf"&&(O.innerHTML=Nt),Te=o(e),l(S.$$.fragment,e),Ee=o(e),i=s(e,"DIV",{class:!0});var m=_(i);l(j.$$.fragment,m),Ze=o(m),me=s(m,"P",{"data-svelte-h":!0}),g(me)!=="svelte-20k7u4"&&(me.textContent=kt),et=o(m),x=s(m,"DIV",{class:!0});var Re=_(x);l(q.$$.fragment,Re),tt=o(Re),de=s(Re,"P",{"data-svelte-h":!0}),g(de)!=="svelte-1hc71u1"&&(de.textContent=At),Re.forEach(n),rt=o(m),V=s(m,"DIV",{class:!0});var Fe=_(V);l(B.$$.fragment,Fe),ot=o(Fe),ce=s(Fe,"P",{"data-svelte-h":!0}),g(ce)!=="svelte-vsbjec"&&(ce.textContent=Ht),Fe.forEach(n),at=o(m),C=s(m,"DIV",{class:!0});var We=_(C);l(G.$$.fragment,We),st=o(We),le=s(We,"P",{"data-svelte-h":!0}),g(le)!=="svelte-ckvlrc"&&(le.textContent=Rt),We.forEach(n),nt=o(m),L=s(m,"DIV",{class:!0});var Oe=_(L);l(U.$$.fragment,Oe),it=o(Oe),ge=s(Oe,"P",{"data-svelte-h":!0}),g(ge)!=="svelte-ipi2rr"&&(ge.textContent=Ft),Oe.forEach(n),mt=o(m),w=s(m,"DIV",{class:!0});var Se=_(w);l(Y.$$.fragment,Se),dt=o(Se),pe=s(Se,"P",{"data-svelte-h":!0}),g(pe)!=="svelte-kfv3nk"&&(pe.innerHTML=Wt),Se.forEach(n),ct=o(m),D=s(m,"DIV",{class:!0});var je=_(D);l(J.$$.fragment,je),lt=o(je),fe=s(je,"P",{"data-svelte-h":!0}),g(fe)!=="svelte-1l17iqw"&&(fe.textContent=Ot),je.forEach(n),gt=o(m),z=s(m,"DIV",{class:!0});var qe=_(z);l(K.$$.fragment,qe),pt=o(qe),ue=s(qe,"P",{"data-svelte-h":!0}),g(ue)!=="svelte-49eriv"&&(ue.textContent=St),qe.forEach(n),ft=o(m),T=s(m,"DIV",{class:!0});var Be=_(T);l(Q.$$.fragment,Be),ut=o(Be),he=s(Be,"P",{"data-svelte-h":!0}),g(he)!=="svelte-uauale"&&(he.textContent=jt),Be.forEach(n),ht=o(m),E=s(m,"DIV",{class:!0});var Ge=_(E);l(X.$$.fragment,Ge),_t=o(Ge),_e=s(Ge,"P",{"data-svelte-h":!0}),g(_e)!=="svelte-x3z8ka"&&(_e.textContent=qt),Ge.forEach(n),vt=o(m),M=s(m,"DIV",{class:!0});var Ue=_(M);l(Z.$$.fragment,Ue),bt=o(Ue),ve=s(Ue,"P",{"data-svelte-h":!0}),g(ve)!=="svelte-10dsfen"&&(ve.textContent=Bt),Ue.forEach(n),$t=o(m),N=s(m,"DIV",{class:!0});var Ye=_(N);l(ee.$$.fragment,Ye),yt=o(Ye),be=s(Ye,"P",{"data-svelte-h":!0}),g(be)!=="svelte-1acncdu"&&(be.textContent=Gt),Ye.forEach(n),It=o(m),k=s(m,"DIV",{class:!0});var Je=_(k);l(te.$$.fragment,Je),Pt=o(Je),$e=s(Je,"P",{"data-svelte-h":!0}),g($e)!=="svelte-si84j5"&&($e.textContent=Ut),Je.forEach(n),m.forEach(n),Me=o(e),l(re.$$.fragment,e),Ne=o(e),oe=s(e,"P",{"data-svelte-h":!0}),g(oe)!=="svelte-12yfhhz"&&(oe.innerHTML=Yt),ke=o(e),y=s(e,"DIV",{class:!0});var I=_(y);l(ae.$$.fragment,I),xt=o(I),ye=s(I,"P",{"data-svelte-h":!0}),g(ye)!=="svelte-bz065s"&&(ye.textContent=Jt),Vt=o(I),A=s(I,"DIV",{class:!0});var Ke=_(A);l(se.$$.fragment,Ke),Ct=o(Ke),Ie=s(Ke,"P",{"data-svelte-h":!0}),g(Ie)!=="svelte-1k4lt1u"&&(Ie.textContent=Kt),Ke.forEach(n),Lt=o(I),H=s(I,"DIV",{class:!0});var Qe=_(H);l(ne.$$.fragment,Qe),wt=o(Qe),Pe=s(Qe,"P",{"data-svelte-h":!0}),g(Pe)!=="svelte-1gut907"&&(Pe.textContent=Qt),Qe.forEach(n),Dt=o(I),R=s(I,"DIV",{class:!0});var Xe=_(R);l(ie.$$.fragment,Xe),zt=o(Xe),xe=s(Xe,"P",{"data-svelte-h":!0}),g(xe)!=="svelte-ectrn8"&&(xe.textContent=Xt),Xe.forEach(n),I.forEach(n),Ae=o(e),Ce=s(e,"P",{}),_(Ce).forEach(n),this.h()},h(){v(P,"name","hf:doc:metadata"),v(P,"content",nr),v(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(i,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,d){t(document.head,P),b(e,Le,d),b(e,Ve,d),b(e,we,d),p(F,e,d),b(e,De,d),b(e,W,d),b(e,ze,d),b(e,O,d),b(e,Te,d),p(S,e,d),b(e,Ee,d),b(e,i,d),p(j,i,null),t(i,Ze),t(i,me),t(i,et),t(i,x),p(q,x,null),t(x,tt),t(x,de),t(i,rt),t(i,V),p(B,V,null),t(V,ot),t(V,ce),t(i,at),t(i,C),p(G,C,null),t(C,st),t(C,le),t(i,nt),t(i,L),p(U,L,null),t(L,it),t(L,ge),t(i,mt),t(i,w),p(Y,w,null),t(w,dt),t(w,pe),t(i,ct),t(i,D),p(J,D,null),t(D,lt),t(D,fe),t(i,gt),t(i,z),p(K,z,null),t(z,pt),t(z,ue),t(i,ft),t(i,T),p(Q,T,null),t(T,ut),t(T,he),t(i,ht),t(i,E),p(X,E,null),t(E,_t),t(E,_e),t(i,vt),t(i,M),p(Z,M,null),t(M,bt),t(M,ve),t(i,$t),t(i,N),p(ee,N,null),t(N,yt),t(N,be),t(i,It),t(i,k),p(te,k,null),t(k,Pt),t(k,$e),b(e,Me,d),p(re,e,d),b(e,Ne,d),b(e,oe,d),b(e,ke,d),b(e,y,d),p(ae,y,null),t(y,xt),t(y,ye),t(y,Vt),t(y,A),p(se,A,null),t(A,Ct),t(A,Ie),t(y,Lt),t(y,H),p(ne,H,null),t(H,wt),t(H,Pe),t(y,Dt),t(y,R),p(ie,R,null),t(R,zt),t(R,xe),b(e,Ae,d),b(e,Ce,d),He=!0},p:er,i(e){He||(f(F.$$.fragment,e),f(S.$$.fragment,e),f(j.$$.fragment,e),f(q.$$.fragment,e),f(B.$$.fragment,e),f(G.$$.fragment,e),f(U.$$.fragment,e),f(Y.$$.fragment,e),f(J.$$.fragment,e),f(K.$$.fragment,e),f(Q.$$.fragment,e),f(X.$$.fragment,e),f(Z.$$.fragment,e),f(ee.$$.fragment,e),f(te.$$.fragment,e),f(re.$$.fragment,e),f(ae.$$.fragment,e),f(se.$$.fragment,e),f(ne.$$.fragment,e),f(ie.$$.fragment,e),He=!0)},o(e){u(F.$$.fragment,e),u(S.$$.fragment,e),u(j.$$.fragment,e),u(q.$$.fragment,e),u(B.$$.fragment,e),u(G.$$.fragment,e),u(U.$$.fragment,e),u(Y.$$.fragment,e),u(J.$$.fragment,e),u(K.$$.fragment,e),u(Q.$$.fragment,e),u(X.$$.fragment,e),u(Z.$$.fragment,e),u(ee.$$.fragment,e),u(te.$$.fragment,e),u(re.$$.fragment,e),u(ae.$$.fragment,e),u(se.$$.fragment,e),u(ne.$$.fragment,e),u(ie.$$.fragment,e),He=!1},d(e){e&&(n(Le),n(Ve),n(we),n(De),n(W),n(ze),n(O),n(Te),n(Ee),n(i),n(Me),n(Ne),n(oe),n(ke),n(y),n(Ae),n(Ce)),n(P),h(F,e),h(S,e),h(j),h(q),h(B),h(G),h(U),h(Y),h(J),h(K),h(Q),h(X),h(Z),h(ee),h(te),h(re,e),h(ae),h(se),h(ne),h(ie)}}}const nr='{"title":"VAE Image Processor","local":"vae-image-processor","sections":[{"title":"VaeImageProcessor","local":"diffusers.image_processor.VaeImageProcessor","sections":[],"depth":2},{"title":"VaeImageProcessorLDM3D","local":"diffusers.image_processor.VaeImageProcessorLDM3D","sections":[],"depth":2}],"depth":1}';function ir(Et){return tr(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class gr extends rr{constructor(P){super(),or(this,P,ir,sr,Zt,{})}}export{gr as component};
